<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="companyid" type="hidden" />
	<div class="form-line clearfix" >
		<div class="fl">
			<span class="text-content"><em class="must"></em>公司编号：</span> 
			<input id="companynum" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must">*</em>公司全称：</span> 
			<input id="companyname" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>公司简称：</span> 
			<input id="companyabbreviation" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>成立日期：</span> 
			<input id="establishtime" class="easyui-datebox" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>公司联系人：</span> 
			<input id="companycontact" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>联系电话：</span> 
			<input id="contackphone" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>联系地址：</span> 
			<input id="contackaddress" class="easyui-textbox" data-options="required:false,validType:'length[0,200]'" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>公司简介：</span> 
			<input id="companysynopsis" class="easyui-textbox" style="width:300px;height:60px" data-options="multiline:true"> 
		</div>
	</div>
</form>
</body>
</html>
<script type="text/javascript">
$(function(){
	//加载下拉选项
	setTimeout(loadValue,500);
	$('#establishtime').datebox({ editable:false });
});
function loadValue(){
	if (!$.isEmptyObject(top.editInfo)) {
		var records = top.editInfo;
		$("#companyid").val(records.companyid);
		$("#companynum").textbox("setValue",records.companynum);
		$("#companyname").textbox("setValue",records.companyname);
		$("#companyabbreviation").textbox("setValue",records.companyabbreviation);
		$("#establishtime").textbox("setValue",records.establishtime);
		$("#companycontact").textbox("setValue",records.companycontact);
		$("#contackphone").textbox("setValue",records.contackphone);
		$("#contackaddress").textbox("setValue",records.contackaddress);
		$("#companysynopsis").textbox("setValue",records.companysynopsis);
	}else{
		
	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
